RC4 --skip-broken doesn't work with yum-langpacks?

Chuck Anderson cra at WPI.EDU
Mon Mar 1 23:52:41 UTC 2010

On Mon, Mar 01, 2010 at 06:36:31PM -0500, Chuck Anderson wrote:
> Fresh install of 13 Alpha RC4, yum update fails due to yum-langpacks.  
> What needs fixing, yum --skip-broken or yum-langpacks or both?

Ok, so updates/testing/13 has oo 12.7.fc13, development/13 has 
12.8.fc13.  yum-langpacks wants 12.7.fc13, but yum has already added 
the newer 12.8.fc13 to the transaction.  I think yum-langpacks is at 
fault here.

> ---> Package openoffice.org-core.x86_64 1:3.2.0-12.8.fc13 set to be updated
> ---> Package openoffice.org-langpack-en.x86_64 1:3.2.0-12.8.fc13 set to be updated
> Installing langpack for openoffice.org-core
> Adding openoffice.org-langpack-en to transaction
> Adding openoffice.org-langpack-en to transaction
> --> Running transaction check
> ---> Package openoffice.org-langpack-en.x86_64 1:3.2.0-12.7.fc13 set to be updated
> --> Processing Dependency: openoffice.org-core = 1:3.2.0-12.7.fc13 for package: 1:openoffice.org-langpack-en-3.2.0-12.7.fc13.x86_64
> --> Finished Dependency Resolution
> Error: Package: 1:openoffice.org-langpack-en-3.2.0-12.7.fc13.x86_64 (updates-testing)
>            Requires: openoffice.org-core = 1:3.2.0-12.7.fc13
>            Removing: 1:openoffice.org-core-3.2.0-12.6.fc13.x86_64 (installed)
>            Available: 1:openoffice.org-core-3.2.0-12.7.fc13.x86_64 (updates-testing)
>            Installing: 1:openoffice.org-core-3.2.0-12.8.fc13.x86_64 (fedora)
>  You could try running: rpm -Va --nofiles --nodigest

More information about the test mailing list